EDIT - bug #9412

Fix reuse existing name in NewTaxonWizard
01/22/2021 09:33 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal Found in Version:

Description

| got a very similar NPE when deleting the "reuse existing name™:

last remote method : http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/common.service
last remote request client time : 2021-01-21T10:11:20.431
last remote request response header time : Thu, 21 Jan 2021 10:11:20 GMT
client error time : 2021-01-21T10:11:49.122
login : admin
editor version : 5.19.0.202101202349
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.18.6.0.20201124
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ui.section.classification.TaxonNodeDetailElement.handleEvent (TaxonNo
deDetailElement. java:352)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.propertyChange (AbstractCdmDetail
Element. java:209)

at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEvent (AbstractCd
mFormElement. java:230)

at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement$Deletelistener.widgetSelected (En
titySelectionElement. java:388)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at eu.etaxonomy.taxeditor.navigation.navigator.ed.handler.NewTaxonNodeHandlerE4.execute (NewTax
onNodeHandlerE4. java:58)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55)

at org.eclipse.e4d.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:13

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.e4d.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContri
butionItem. java:433)

at org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab
stractContributionItem. java:454)
at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo
ntributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

Related issues:
Related to EDIT - bug #9393: NPE when removing parent from TaxonNode editor In Progress

Associated revisions

Revision 6d284e79 - 01/21/2021 11:05 AM - Katja Luther

ref #9393: fix problems when removing reused name

Revision 4638420 - 01/21/2021 11:05 AM - Katja Luther

ref #9393: fix problems when removing reused name - code cleaning

History

#1 - 01/22/2021 09:35 AM - Katja Luther
- Subject changed from Fix change parent in NewTaxon wizard to Fix reuse existing name in NewTaxonWizard
- Description updated

- Target version changed from Release 5.21 to Release 5.19

#2 - 01/22/2021 09:36 AM - Katja Luther
- File deleted (picture128-1.png)

#3 - 01/22/2021 09:38 AM - Katja Luther
- Related to bug #9393: NPE when removing parent from TaxonNode editor added

#4 - 01/22/2021 09:40 AM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 50

please review.
#5 - 01/22/2021 03:47 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100
